<?php
/*

# ------------------------------------------------------------------------
# JA Sulfur template for Joomla 1.5
# ------------------------------------------------------------------------
# Copyright (C) 2004-2010 JoomlArt.com. All Rights Reserved.
# @license - PHP files are GNU/GPL V2. CSS / JS are Copyrighted Commercial,
# bound by Proprietary License of JoomlArt. For details on licensing, 
# Please Read Terms of Use at http://www.joomlart.com/terms_of_use.html.
# Author: JoomlArt.com
# Websites:  http://www.joomlart.com -  http://www.joomlancers.com
# Redistribution, Modification or Re-licensing of this file in part of full, 
# is bound by the License applied. 
# ------------------------------------------------------------------------

*/

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

include_once (dirname(__FILE__).DS.'ja_vars_1.5.php');

global $ja_color;

$ja_color = strtolower ($tmpTools->getParam(JA_TOOL_COLOR));

?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $this->language; ?>" lang="<?php echo $this->language; ?>">

<head>
<jdoc:include type="head" />
<?php JHTML::_('behavior.mootools'); ?>

<link rel="stylesheet" href="<?php echo $tmpTools->baseurl(); ?>templates/system/css/system.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $tmpTools->baseurl(); ?>templates/system/css/general.css" type="text/css" />

<link rel="stylesheet" href="<?php echo $tmpTools->templateurl(); ?>/css/editor.css" type="text/css" />

<link rel="stylesheet" href="<?php echo $tmpTools->templateurl(); ?>/css/addons.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $tmpTools->templateurl(); ?>/css/template.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $tmpTools->templateurl(); ?>/css/typo.css" type="text/css" />

<script language="javascript" type="text/javascript">
	var siteurl = '<?php echo $tmpTools->baseurl();?>';
	var tmplurl = '<?php echo $tmpTools->templateurl();?>';
</script>

<script language="javascript" type="text/javascript" src="<?php echo $tmpTools->templateurl(); ?>/js/ja.script.js"></script>
<?php if ($tmpTools->getParam('ja_menu_effect',1)): ?>
<script language="javascript" type="text/javascript" src="<?php echo $tmpTools->templateurl(); ?>/js/ja.menuhover.js"></script>
<?php endif; ?>

<!-- Menu head -->
<?php if ($jamenu) $jamenu->genMenuHead(); ?>

<link href="<?php echo $tmpTools->templateurl(); ?>/css/colors/<?php echo strtolower ($tmpTools->getParam(JA_TOOL_COLOR)); ?>.css" rel="stylesheet" type="text/css" />

<?php if ($tmpTools->isIE()) { ?>
<link href="<?php echo $tmpTools->templateurl(); ?>/css/ie.php" rel="stylesheet" type="text/css" />
<link href="<?php echo $tmpTools->templateurl(); ?>/css/colors/<?php echo strtolower ($tmpTools->getParam(JA_TOOL_COLOR)); ?>-ie.php" rel="stylesheet" type="text/css" />

<?php if ($tmpTools->isIE6()) { ?>
<script type="text/javascript">
window.addEvent ('load', makeTransBG);
function makeTransBG() {
makeTransBg($$('img'));
}
</script>
<?php } ?>
<?php } ?>


</head>

<body id="bd">
<a name="Top" id="Top"></a>

<!-- MAIN NAVIGATION-->
<div id="ja-mainnav" class="wrap">
<div class="main clearfix">

	<ul class="no-display">
		<li><a href="<?php echo $tmpTools->getCurrentURL();?>#ja-content" title="<?php echo JText::_("SKIP TO CONTENT");?>"><?php echo JText::_("SKIP TO CONTENT");?></a></li>
	</ul>

	<?php if($ja_menutype!='none') { $jamenu->genMenu (0); } ?>
  
</div></div>
<!-- //MAIN NAVIGATION-->
 <?php if ($hasSubnav) : ?>
<div id="ja-subnav" class="wrap" ><div class="main clearfix">
         <?php if ($jamenu) $jamenu->genMenu (1,1);	?>
</div></div>
<?php endif; ?>
<!-- //MAIN NAVIGATION-->

<!-- HEADER -->
<div id="ja-header" class="wrap">
	<div class="main clearfix">
	
		<?php 
			$siteName = $tmpTools->sitename(); 
			if ($tmpTools->getParam('logoType')=='image') { ?>
			<h1 class="logo">
				<a href="index.php" title="<?php echo $siteName; ?>"><span><?php echo $siteName; ?></span></a>
			</h1>
		<?php } else { 
			$logoText = (trim($tmpTools->getParam('logoText'))=='') ? $config->sitename : $tmpTools->getParam('logoText');
			$sloganText = (trim($tmpTools->getParam('sloganText'))=='') ? JText::_('SITE SLOGAN') : $tmpTools->getParam('sloganText');	?>
			<h1 class="logo-text">
				<a href="index.php" title="<?php echo $siteName; ?>"><span><?php echo $logoText; ?></span></a>	
				<span class="site-slogan"><?php echo $sloganText;?></span>
			</h1>
		<?php } ?>
		
		<?php if ($this->countModules('user4')) { ?>
	    <div id="ja-search">
	      <jdoc:include type="modules" name="user4" style="raw" />
	    </div>
		<?php } ?>
		
	</div>
</div>
<!-- //HEADER -->

<?php if ( $this->countModules('ja-slideshow') ) {?>
<!-- SLIDE SHOW -->
	<div id="ja-slideshow" class="wrap"><div id="ja-slideshow-inner">
    <div class="main clearfix">
			<jdoc:include type="modules" name="ja-slideshow" style="raw" />
		</div>
	</div></div>
<!-- //SLIDE SHOW -->
<?php } ?>

<!-- TOPBLOCK -->
<?php if( $this->countModules('user5') ) { ?>
<div id="ja-topsl" class="wrap clearfix">
	<jdoc:include type="modules" name="user5" style="jamodule" />
</div>
<?php } ?>
<!-- //TOPBLOCK -->

<!-- CONTAINER -->
<div id="ja-container<?php echo $divid; ?>" class="wrap">
<div class="main clearfix">
  
  	<!-- content -->
  	<div id="ja-contentwrap">
	  	<div id="ja-content">
				<div id="ja-current-content">
					<jdoc:include type="message" />
					<jdoc:include type="component" />
					
					<?php if( $this->countModules('user6') ) { ?>
					<div id="ja-botblock">
						<jdoc:include type="modules" name="user6" style="jamodule" />
					</div>
					<?php } ?>
				</div>
			</div>
		
		<?php if ($ja_left) { ?>
		<!-- columns left -->
		<div id="ja-col1">
			<div class="inner">
			
				
			
				<jdoc:include type="modules" name="left" style="jamodule" />
			</div>
		</div>
		<!-- //columns left -->
		<?php } ?>

  	</div>
  	<!-- //content -->
	
  	<?php if ($ja_right) { ?>
  	<!-- columns right -->
  	<div id="ja-col2">
			<div class="inner">
				<jdoc:include type="modules" name="right" style="jamodule" />
			</div>
  	</div>
  	<!-- //columns right -->
  	<?php } ?>

</div></div>
<!-- //CONTAINER -->

<!-- PATHWAY -->
<div id="ja-pathway" class="wrap">
	<div class="main clearfix">
		<div class="inner">
			<strong><?php echo JText::_('YOU ARE HERE:');?></strong><jdoc:include type="module" name="breadcrumbs" />
		</div>
	</div>
</div>
<!-- //PATHWAY -->

<?php
  $spotlight = array ('user1','user2','user7','user8','user9');
  $sl = $tmpTools->calSpotlight ($spotlight,$tmpTools->isOP()?100:99.9);
  if ($sl) {
?>
<!-- BOTTOM SPOTLIGHT -->
<div id="ja-botsl" class="wrap">
  <div class="main clearfix">  
    <?php if ( $this->countModules('user1') ) { ?>
    <div class="ja-box<?php echo $sl['user1']['class']; ?>" style="width: <?php echo $sl['user1']['width']; ?>;">
      <jdoc:include type="modules" name="user1" style="xhtml" />
    </div>
    <?php } ?>
    
    <?php if ( $this->countModules('user2') ) { ?>
    <div class="ja-box<?php echo $sl['user2']['class']; ?>" style="width: <?php echo $sl['user2']['width']; ?>;">
      <jdoc:include type="modules" name="user2" style="xhtml" />
    </div>
    <?php } ?>
    
    <?php if ( $this->countModules('user7') ) { ?>
    <div class="ja-box<?php echo $sl['user7']['class']; ?>" style="width: <?php echo $sl['user7']['width']; ?>;">
      <jdoc:include type="modules" name="user7" style="xhtml" />
    </div>
    <?php } ?>
    
    <?php if ( $this->countModules('user8') ) { ?>
    <div class="ja-box<?php echo $sl['user8']['class']; ?>" style="width: <?php echo $sl['user8']['width']; ?>;">
      <jdoc:include type="modules" name="user8" style="xhtml" />
    </div>
    <?php } ?>
    
    <?php if ( $this->countModules('user9') ) { ?>
    <div class="ja-box<?php echo $sl['user9']['class']; ?>" style="width: <?php echo $sl['user9']['width']; ?>;">
      <jdoc:include type="modules" name="user9" style="xhtml" />
    </div>
    <?php } ?>
    
  </div>
</div>
<!-- //BOTTOM SPOTLIGHT -->
<?php } ?>

<!-- FOOTER -->
<div id="ja-footer" class="wrap">
<div class="main clearfix">
  
  <?php if( $this->countModules('user3') ) { ?>
    <div class="ja-footermenu">
	   <jdoc:include type="modules" name="user3" />
	   </div>
	<?php } ?>

  <?php if( $this->countModules('footer') ) { ?>	
    <div class="ja-copyright">
    	<jdoc:include type="modules" name="footer" />
	   </div>
	<?php } ?>
	
</div></div>
<!-- //FOOTER -->

<jdoc:include type="modules" name="debug" />
</body>

</html>
